Subject: Re: bug#12168: Subject: 24.1; highlight-regexp not working in v24

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Aug 2012 09:28:03 +0300

> Date: Thu, 9 Aug 2012 15:43:41 -0700
> From: Justin Heyes-Jones <[email-masked]>
> 
> I noticed that I get different behavior with highlight-regexp in emacs
> 24.1.1 than in 23. Loading the file below, the text that is in the file
> when it loads will be highlighted in the correct color, but typing new
> text will not highlight. In the previous version the highlighting would
> update dynamically as you type.
> 
> This is the windows version running under exactly the same
> environment. If I switch back to 23 it's fine.

For me, it doesn't work in Emacs 23.3, either.  But it does work in
Emacs 23.2.  So the change that broke this was in between those 2
versions, not in Emacs 24.